Subject: bug#20292: 24.5; Saving Git-controlled file with merge conflicts after "stash pop" stages the file

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 Apr 2015 21:05:05 +0300

> Date: Sun, 19 Apr 2015 20:38:30 +0300
> From: Dmitry Gutov <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> On 04/19/2015 08:06 PM, Eli Zaretskii wrote:
> 
> > I meant when "git stash pop" reports conflicts, in particular after a
> > "git pull" or "git merge".
> 
> That's the general case.
> 
> > I think we were talking about the same use case, but I cannot be sure,
> > since "has staged changes" might me more general than what I had in
> > mind.
> 
> No: it's more specific. Before you do 'git stash pop', either there's 
> nothing in the staging area (and the conflict is most likely due to some 
> new commits), or there is something in the staging area.
> 
> "one has staged changes in one of the involved files" means the latter.
> 
> > Before "git stash save"?  The case I had in mind didn't have anything
> > staged before that.
> 
> No, after "git stash save", but before "git stash pop".

I was talking about the following simple scenatio:

  git pull
  # get an error about uncommitted changes that prevent merge
  git stash save
  git pull
  git stash pop
  # get an error message about conflicts
  # resolve conflicts and save de-conflicted files